package app

import (
	"serverctl/pkg/api"
	"serverctl/pkg/infrastructure"
	"serverctl/pkg/infrastructure/dependencies"
)

func Run() {
	d := dependencies.New()
	d.Logger.Info("Starting serverctl")

	infrastructure.AddSeedData(d.Database, d.Logger)

	api.
		NewServerctlApi(d).
		SetupApi().
		RunApi()
}
